## org.junit.runners.model
Class FrameworkMember<T extends FrameworkMember<T>>

    java.lang.Object
      org.junit.runners.model.FrameworkMember<T>

All Implemented Interfaces:
  Annotatable

Direct Known Subclasses:
  FrameworkField, FrameworkMethod

    public abstract class FrameworkMember<T extends FrameworkMember<T>>

extends Object
implements Annotatable

Parent class for `FrameworkField` and `FrameworkMethod`

Since:
  4.7

Constructor Summary
`FrameworkMember()`

Method Summary
`abstract Class<?>` `getDeclaringClass()`
`protected abstract int` `getModifiers()`
`abstract String` `getName()`
`abstract Class<?>` `getType()`
`boolean` `isPublic()` Returns true if this member is public, false if not.
`boolean` `isStatic()` Returns true if this member is static, false if not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.junit.runners.model.Annotatable
`getAnnotation, getAnnotations`

Constructor Detail

### FrameworkMember

    public FrameworkMember()

Method Detail

### getModifiers

    protected abstract int getModifiers()

### isStatic

    public boolean isStatic()

  Returns true if this member is static, false if not.

### isPublic

    public boolean isPublic()

  Returns true if this member is public, false if not.

### getName

    public abstract String getName()

### getType

    public abstract Class<?> getType()

### getDeclaringClass

    public abstract Class<?> getDeclaringClass()

Copyright © 2002–2020 JUnit. All rights reserved.